be.fgov.ehealth.aa.complextype.v1

## Class QualityDescriberType

- java.lang.Object
- - be.fgov.ehealth.aa.complextype.v1.QualityDescriberType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    SupportedQuality

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:57:54+01:00",
                 comments="JAXB RI v2.3.7")
      public class QualityDescriberType
      extends Object
      implements Serializable

  Metadata on supported quality.

  Java class for QualityDescriberType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="QualityDescriberType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}QualityTypeCode" maxOccurs="unbounded"/>
               <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}QualityTypeFriendlyName" maxOccurs="unbounded"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Attribute" maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QualityDescriberType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Attribute>` | `getAttributes()` Gets the value of the attributes property.
    `List<TypeCodeType>` | `getQualityTypeCodes()` Gets the value of the qualityTypeCodes property.
    `List<NameType>` | `getQualityTypeFriendlyNames()` Gets the value of the qualityTypeFriendlyNames property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QualityDescriberType

          public QualityDescriberType()

  - ### Method Detail

    - #### getQualityTypeCodes

          public List<TypeCodeType> getQualityTypeCodes()

      Gets the value of the qualityTypeCodes property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the qualityTypeCodes property.

      For example, to add a new item, do as follows:

              getQualityTypeCodes().add(newItem);

      Objects of the following type(s) are allowed in the list `TypeCodeType`

    - #### getQualityTypeFriendlyNames

          public List<NameType> getQualityTypeFriendlyNames()

      Gets the value of the qualityTypeFriendlyNames property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the qualityTypeFriendlyNames property.

      For example, to add a new item, do as follows:

              getQualityTypeFriendlyNames().add(newItem);

      Objects of the following type(s) are allowed in the list `NameType`

    - #### getAttributes

          public List<Attribute> getAttributes()

      Gets the value of the attributes property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributes property.

      For example, to add a new item, do as follows:

              getAttributes().add(newItem);

      Objects of the following type(s) are allowed in the list `Attribute`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.